<div class="container view-onboarding">
  <p-dataTable #dt [reorderableColumns]="true" [metaKeySelection]="false" [value]="onBoardingDetails"
    expandableRows="true" [responsive]="true" [rows]="10" [paginator]="true" sortMode="multiple">
    <p-header>
      <h3>View Onboarding Details</h3>
      <div class="ui-helper-clearfix">
        <button color="primary" mat-button type="button" pButton icon="fa-file-o" iconPos="left" label="All Data"
          (click)="dt.exportCSV()" style="float:left">
          <mat-icon matTooltip="Download CSV" matTooltipPosition="right">cloud_download</mat-icon>
        </button>
      </div>
    </p-header>
    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="applicationName" header="Project Name">
      <ng-template let-row="rowData" pTemplate type="body">
        <a class="view-link" title="View Details"
          [routerLink]="['/view-onboarding', row.id]">{{row.applicationName}}</a>
      </ng-template>
    </p-column>

    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="criticality" header="Criticality">
    </p-column>

    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="cio.name" header="CIO">
    </p-column>

    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="geItLeader" header="GE IT Leader">
    </p-column>

    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="pitcher" header="Pitcher"></p-column>

    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="catcher" header="Catcher"></p-column>

    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="plannedStartDate" header="Planned Dt">
      <ng-template let-row="rowData" pTemplate="body">
        {{row.plannedStartDate | date:'MM/dd/yyyy'}}
      </ng-template>
    </p-column>

    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="actualStartDate" header="Actual Dt">
      <ng-template let-row="rowData" pTemplate="body">
        {{row.actualStartDate | date:'MM/dd/yyyy'}}
      </ng-template>
    </p-column>

    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="completionDate" header="Completion Dt">
      <ng-template let-row="rowData" pTemplate="body">
        {{row.completionDate | date:'MM/dd/yyyy'}}
      </ng-template>
    </p-column>

    <!-- <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="tcsProjectManager" header="TCS PM">
    </p-column>
    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="subBusiness" header="Sub Business">
    </p-column>
    <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="subBusinessLead"
      header="Sub Business Lead" class="extend-width"></p-column> -->
    <!-- <p-column [filter]="true" sortable="true" filterPlaceholder="Search" field="currentStep" header="Current Step">
    </p-column> -->
  </p-dataTable>
</div>